#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_install:
	dh_installdirs
	install proxystrike.py $(CURDIR)/debian/proxystrike/usr/bin/proxystrike

override_dh_fixperms:
	dh_fixperms
	chmod 644 debian/proxystrike/usr/share/proxystrike/*.py
	chmod 644 debian/proxystrike/usr/share/proxystrike/*.ui
	chmod 644 debian/proxystrike/usr/share/proxystrike/tools/*.py
	chmod 644 debian/proxystrike/usr/share/proxystrike/tools/gazpacho/*.py
	chmod 644 debian/proxystrike/usr/share/proxystrike/tools/sqpyfia/*.py
